aboutsummaryrefslogtreecommitdiffstats
path: root/main/mdocml/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-08-28 22:55:45 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2015-08-28 22:55:45 +0200
commit8d777a4e2a8eaf92f9cca8d9d64f5d84ca9e53ba (patch)
treec6aa9e2a39579bf3404d912a8a915a2253ac4274 /main/mdocml/APKBUILD
parent5c8289aa141515b816a2ecd9fd08746cd359bb09 (diff)
downloadaports-8d777a4e2a8eaf92f9cca8d9d64f5d84ca9e53ba.tar.gz
aports-8d777a4e2a8eaf92f9cca8d9d64f5d84ca9e53ba.tar.bz2
aports-8d777a4e2a8eaf92f9cca8d9d64f5d84ca9e53ba.tar.xz
main/mdocml: split out apropos and whatis to subpackage
Diffstat (limited to 'main/mdocml/APKBUILD')
-rw-r--r--main/mdocml/APKBUILD24
1 files changed, 17 insertions, 7 deletions
diff --git a/main/mdocml/APKBUILD b/main/mdocml/APKBUILD
index 3e477c0ca8..95ef844062 100644
--- a/main/mdocml/APKBUILD
+++ b/main/mdocml/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=mdocml
pkgver=1.13.3
-pkgrel=4
+pkgrel=5
pkgdesc="mdoc/man compiler"
url="http://mdocml.bsd.lv/"
arch="all"
@@ -9,12 +9,12 @@ license="BSD"
depends=
makedepends="sqlite-dev"
install="$pkgname.post-deinstall"
-triggers="$pkgname.trigger=/usr/share/man/*"
-subpackages="$pkgname-doc $pkgname-dev man"
+triggers="$pkgname-apropos.trigger=/usr/share/man/*"
+subpackages="$pkgname-doc $pkgname-dev man $pkgname-apropos"
source="http://mdocml.bsd.lv/snapshots/mdocml-$pkgver.tar.gz
shared-libmandoc.patch
default-pager.patch
- mdocml.trigger
+ mdocml-apropos.trigger
man.conf
"
@@ -54,18 +54,28 @@ man() {
mkdir -p "$subpkgdir"
}
+apropos() {
+ pkgdesc="makewhatis/whatis and apropos tools and index"
+ mkdir -p "$subpkgdir"/usr/sbin "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/bin/apropos \
+ "$pkgdir"/usr/bin/whatis \
+ "$subpkgdir"/usr/bin/ || return 1
+ mv "$pkgdir"/usr/sbin/makewhatis \
+ "$subpkgdir"/usr/sbin/ || return 1
+}
+
md5sums="7be80e1116a11abe2aabd6b2f04434ef mdocml-1.13.3.tar.gz
8d130a332fbd3268550819ade96c9afd shared-libmandoc.patch
aa3421f2d2da345a7514be51707d6829 default-pager.patch
-f8cf8d023cded16f33eedc2cee7261fe mdocml.trigger
+8c2f14c5bdefe45a119638b84588dde1 mdocml-apropos.trigger
6e893bef0cf680eec807b230e6619d27 man.conf"
sha256sums="23ccab4800d50bf4c327979af5d4aa1a6a2dc490789cb67c4c3ac1bd40b8cad8 mdocml-1.13.3.tar.gz
676dd35caedc759cc83ae1dbf7fde5709d6fe4ed14c652af4cbebc5ccdbdc71b shared-libmandoc.patch
f0a393ff3a630cd0e9e412241890b2356153ffb4ef0d419a7979edc4ed5e57e3 default-pager.patch
-30895170f89dfcf3ffa10ba5ec3140639ce0a64f06bf4c89050f8f80fea60bd8 mdocml.trigger
+45460578edf6262db83fc8215164530c6acd2d7d644908b36921a4a292f66dad mdocml-apropos.trigger
3381c6ceb99e7db1404fdb44419040c3b441a251d594292e53545b5e4e378e2b man.conf"
sha512sums="a3b7304e313b905b3575d79eb7ac861723e0ef3f700199c136abe4d4c698929e99ee0789bfc6e591224fb0006c709afe0e4c1bb578605a767c371ec7dee26024 mdocml-1.13.3.tar.gz
bdbe471bcc5d5009ee8a9c4fb2f7903a5114afd8da1d6807c462fefdbe4b508711386b0fe7febb92977f97751c1d4fd486f1e1ecae0b7c1ba4dc28c0a7dda0b6 shared-libmandoc.patch
c8a4a11a5aa166670d8f8d4e0dba803068d3f1b6aee483daaf889da661a9281387fcd2f00d2dad7ef5c66e3419df205e2c75bb58fb9b055db284b4ac2f23eb7e default-pager.patch
-e553cf83dde0a7926326acf306f7b363d0218009e328af82abb5256292c8693d341b85d3490c1ac33fbf3ac37f58f059926b1a9e790e24e7e0a85ca44f1fa126 mdocml.trigger
+704bc159acfc639e10c7d505372d303cb5784c8e9eb30084236ad89978978d4ba74f3127d4597d78594b64182c47a00c011f8bb3271d2b784f03a2a411ccb1d8 mdocml-apropos.trigger
0723c32ab70e5b1c77768ca78d7437b26bed19b90b27876b10cc463359c41332befc0105fc1e23ceae48de5a892f1aa7ac60ef7eb0b6b8f1616726c4300632fe man.conf"